% SPA0502:  Amplitude gain plot for H(Z)=-0.1*Z/(Z^2+0.9).

f=[0,-.1]; e=[1,0,0.9];
freq=[0 : .5/300 : .5];
amp=abs(spgain(f,e,freq));
plot(freq,amp,'w');...
   title('Figure 5.4');...
   xlabel('Frequency (Sampling Frequency = 1.0)');...
   ylabel('Amplitude Gain');...
   grid

