% SPA0503:  Phase shift plot for H(Z)=-0.1*Z/(Z^2+0.9).

f=[0,-.1]; e=[1,0,0.9];
freq=[0 : 0.5/300 : 0.5];
h=spgain(f,e,freq);
phase=atan2(imag(h),real(h));
plot(freq,phase,'w');...
   title('Figure 5.5');...
   xlabel('Frequency (sampling frequency = 1.0)');...
   ylabel('Phase shift (radians)');...
   grid

