% SPA0602:  Use SPFILT in block mode filtering.

x=[1,zeros(1,24)]; px=0; py=0;
b=[0.001836,0.007344,0.011016,0.007344,0.001836];
a=[1,-3.0544,3.8291,-2.2925,0.55075];
for nblk=0:3,
   [y,px,py]=spfilt(b,a,x,px,py);
   data(nblk*25+1:nblk*25+25)=y;
   x=zeros(1,25);
end
fprintf('\n SAMPLE    RESPONSE\n')
for k=1:10,
   fprintf('%5g %12.4f\n',k-1,data(k))
end
fprintf('\n')
plot(data,'w');...
   title('Figure 6.7');...
   xlabel('Sample Number');...
   ylabel('Amplitude');...
   grid
