% SPA0905: FIR digital filtering using convolution.
fid=fopen('c:\matlab\spa\signals\signal_1.txt');
x=fscanf(fid,'%7d%8d%8d%8d%8d%8d%8d%8d%8d%8d\n',200)';
fclose(fid);
T=1e-6; fl=115e3; fh=135e3; L=50; band=3; window=5; 
b=spfird(L,band,fl*T,fh*T,window);
y=spconv(b,x);
plot((1:200),x(1:200),'w',(1:200),y(1:200),'w'); grid;...
   title('SPA0905: 125-kHz sine wave in Signal_1.');...
   xlabel('Time (microseconds)');...
   ylabel('Signals x and y');
