% SPA1004:  More interesting example of interpolation
% using spzint. Results plotted in Figure 10.13.
x=sin(2*pi*[0:15]/4+0.5);
[y,Ni]=spzint(x,16,1/16);
fprintf('Ni=%2g\n',Ni);
subplot(211),plot([0:15],x(1:16),'w'); grid;...
   title('Figure 10.13a(upper) and b(lower)');...
   xlabel('Sample Number');...
   ylabel('Signal Value')
subplot(212),plot([0:Ni-1],y(1:Ni),'w'); grid;...
   xlabel('Sample Number');...
   ylabel('Signal Value')
