% SPA1104: Data fitting via orthogonal polynomials.
N=51; L=3; dx=1/(N-1);
x=[0:N-1]/(N-1);
y=-1 - 5*x - 3*x.^2 + 10*x.^3;
[orthb,P]=sporth(y,L);
b=sppoly(dx,y,L);
fprintf('           POLYNOMIAL COEFFICIENTS\n');
for i=1:L+1,
   fprintf(' orthb(%1g) = %8.4f',i-1,orthb(i));...
   fprintf('         b(%1g) = %5.1f\n',i-1,b(i));...
end
