% SPA1201: Demonstrate SPNLMS in line enhancement.
mu=0.1; sigma=2; alpha=0; L=20; N=501;
b=zeros(1,L+1); px=0;
d=sqrt(2)*sin(2*pi*[0:N-1]/20) + sqrt(12)*(rand(1,N)-0.5);
x=[0,d(1:N-1)];
[y,b,px]=spnlms(x,d,b,mu,sigma,alpha,px);
figure(1); plot([0:500],d,'w'); grid;...
   title('Figure 12.5(a): Noisy input sequence, d(k)');...
   xlabel('Time');...
   ylabel('Amplitude');...
figure(2); plot([0:500],y,'w'); grid;...
   title('Figure 12.5(b): Output sequence y(k); mu=0.1');...
   xlabel('Time');...
   ylabel('Amplitude');
b=zeros(1,L+1); px=0; mu=0.01;
[y,b,px]=spnlms(x,d,b,mu,sigma,alpha,px);
figure(3); plot([0:500],y,'w'); grid;...
   title('Figure 12.6: Output sequence y(k); mu=0.01');...
   xlabel('Time');...
   ylabel('Amplitude');
