% SPA1301:  Compute mean and variance of random sequences.
Lmax=5;
rand('seed',123);
x=sqrt(12)*(rand(1,10^Lmax)-.5);
fprintf('\n LENGTH          MEAN            VARIANCE\n');
for L=1:Lmax,
   n=10^L;
   avg=mean(x(1:n));
   var=spvari(x(1:n));
   fprintf('%7g       %10.7f       %10.7f\n',n,avg,var);
end
