% SPA1307:  Demonstrate the use of sprftm routine.
N=51; a=-0.1;
t=[0:N-1];
y=t .* exp(a*t);
[r0,r10,r90,r100]=sprftm(+1,y);
[f0,f10,f90,f100]=sprftm(-1,y);
fprintf('                  t0       t10       t90');
fprintf('       t100\n')
fprintf(' RISE TIMES    %6.2f    %6.2f',r0-1,r10-1);...
fprintf('    %6.2f    %6.2f\n',r90-1,r100-1)
fprintf(' FALL TIMES    %6.2f    %6.2f',f0-1,f10-1);...
fprintf('    %6.2f    %6.2f\n\n',f90-1,f100-1)
plot([0:N-1],y,'xw'); grid;...
   title('Figure 13.6');...
   xlabel('Sample Number');...
   ylabel('Amplitude');
