% SPA1308: Demonstrate the use of sprftm.
N=51; N2=(N-1)/2; timeseg=[0:24]-25;
x(1:N2)=sin(2*pi*0.25*timeseg)./(pi*timeseg);
x(N2+1)=0.5;
x(N:-1:N2+2)=x(1:25);
[r0,r10,r90,r100]=sprftm(+1,x);
[f0,f10,f90,f100]=sprftm(-1,x);
fprintf('                  t0       t10       t90');
fprintf('       t100\n')
fprintf(' RISE TIMES    %6.2f    %6.2f',r0-1,r10-1);...
fprintf('    %6.2f    %6.2f\n',r90-1,r100-1)
fprintf(' FALL TIMES    %6.2f    %6.2f',f0-1,f10-1);...
fprintf('    %6.2f    %6.2f\n',f90-1,f100-1)
plot([0:N-1],x,'xw',[0:N-1],x,'w'); grid;...
   title('Figure 13.7');...
   xlabel('Sample Number');...
   ylabel('Amplitude');
