% SPA1401:  Plots of six data windows.
N=256; x=[0:N-1]; w=zeros(6,N); tsv=zeros(1,6);
for i=6:-1:1,
   [w(i,:),tsv(i)]=spmask(ones(1,N),i);
end
fprintf('\n TYPE   TSV\n');
for i=1:6,
   fprintf('%4g%12.6f\n',i,tsv(i))
end
hold off
clg
for iwindo=1:6,
   plot(x,w(iwindo,:),'w'); grid on;...
      hold on;...
      title('Figure 14.1');...
      xlabel('Time Index (k)');...
      ylabel('Window Value (w[k])');
end
