function var=spvari(x)
% var=spvari(x)
% Computes variance of row vector x.
% For sequences only - do not use with matrices.
% See Chapter 13, equation 13.2.
% Input:  x   = Data  row vector.
% Output: var = Variance of x; scalar.

N=length(x); var=0;
if N>1,
   x2sum=sum(x.^2);
   var=max([0,(x2sum-N*mean(x)^2)/(N-1)]);
end
return
