% SPA0401:  Generates a periodogram similar to Fig. 4.1.
x=sin(2*pi*[0:31]./8);
[P,nsgmts]=sppowr(x,32,1,0);
fprintf('\n nsgmts=%4g\n',nsgmts)
fprintf(' P=%5.2f%5.2f%5.2f',P(1),P(2),P(3))
fprintf('%5.2f%5.2f%5.2f',P(4),P(5),P(6))
fprintf('%5.2f%5.2f%5.2f\n',P(7),P(8),P(9))
bar([0:(length(P)-1)]/(2*length(P)-2),P,'w');...
   title('Example SPA0401.');...
   xlabel('Frequency (Sampling Frequency = 1.0)');...
   ylabel('Power Density');
