% SPA0406:  Test of SPCROS, same signal plus indep. noise.
rand('seed',0)
x=sin(3*pi*[0:999]/16)+0.5*cos(7*pi*[0:999]/16);
x1=x+sqrt(12)*(rand(1,1000)-.5);
x2=x+sqrt(12)*(rand(1,1000)-.5);
[y,nsgmts]=spcros(x1,x2,32,1,0);
yabs=real(y);
bar_sp([0:(length(yabs)-1)]/(2*length(yabs)-2),yabs);...
   title('Figure 4.11');...
   xlabel('Frequency (Sampling Frequency = 1.0)');...
   ylabel('Real Part of Cross Power, Real [Q(m)]');
