% SPA0508:  Unit step response of H1(Z)*H2(Z).

x=1; d=[0.05,-0.1]; c=[1,-0.95,0.9];

y1=spresp(x,100,0.2,[1,-0.8]);
y2=spresp(y1,100,d,c);

plot(y2,'w');...
   title('Figure 5.11');...
   xlabel('Sample Number');...
   ylabel('Unit Step Response');...
   grid

