% SPA0604:  Demonstrate the use of SPCFLT.
N=25;
x=[1,zeros(1,N-1)];
b=[0.001836,0.003672,0.001836;  1.0,2.0,1.0];
a=[1,-1.4996,0.8482;  1,-1.5548,0.6493];
px=0; py=0;
for nblk=0:3,
   [y,px,py]=spcflt(b,a,x,px,py);
   data(nblk*N+1:nblk*N+N)=y;
   x(1)=0;
end
fprintf(' SAMPLE    RESPONSE\n')
for k=1:10,
   fprintf('%5g %12.4f\n',k-1,data(k))
end
fprintf('\n')
plot(data,'w'); grid;...
   title('Figure 6.9');...
   xlabel('Sample Number');...
   ylabel('Amplitude')
