% SPA0802:  FIR lowpass filter using tapered rect. window.
fc=200; T=0.001; L=20; iwndo=2;
fcn=fc*T;
[b]=spfirl(L,fcn,iwndo);
freq=[0:300]*0.5/300;
amp=abs(spgain(b,1,freq));
fprintf('\n N     B(N)        N     B(N)        N     B(N)\n');
for n=0:6,
   fprintf('%2g%10.5f%8g',n,b(n+1),n+7);...
   fprintf('%10.5f%8g%10.5f\n',b(n+8),n+14,b(n+15));
end
plot([0:300]*500/300,amp,'w'); grid;...
   title('Figure 8.9');...
   xlabel('Frequency (Hz)');...
   ylabel('Amplitude gain');
end
