% SPA0903:  Autocorrelation of a sine wave in noise.
rand('seed',0)
x=sin(2*pi*[0:1499]/25) + sqrt(60)*(rand(1,1500)-0.5);

figure(1);
plot([0:300],x(1:301),'w'); grid;...
   title('Figure 9.4');...
   xlabel('Sample Number (k)');...
   ylabel('x(k)');

figure(2);
[rxy,M]=spcorr(x,x);
plot([0:300],rxy(1:301),'w'); grid;...
   title('Figure 9.5');...
   xlabel('Shift (n)');...
   ylabel('rxx(n)');
