% SPA0904: More or less realistic example of convolution.
coef=[8,4,7,2,6,3,1,1];
x=exp(-[0:400]/50).*sin(2*pi*[0:400]/50);
h=zeros(1,2050);
for k=0:7,
   h(k*100+1)=coef(k+1);
end
figure(1); plot([0:1000],[x(1:401),zeros(1,600)],'w'); grid;...
   title('Figure 9.7');...
   xlabel('Sample Number (k)');...
   ylabel('x(k)');...
figure(2); plot([0:1000],h(1:1001),'w'); grid;...
   title('Figure 9.8');...
   xlabel('Sample Number (k)');...
   ylabel('Impulse Response');...
y=spconv(x,h);
figure(3); plot([0:1000],y(1:1001),'w'); grid;...
   title('Figure 9.9');...
   xlabel('Sample Number (k)');...
   ylabel('y(k) (Volts)');
