% SPA1110:  Demonstrate the use of Durbin's algorithm.
L=1; N=51;
Aavect=0.5*cos(2*pi*[0:L+1]/10);
px=0; py=0;
% Solve for and print the filter coefficients.
 b=spdurb(Aavect);
 fprintf('\n FILTER COEFFICIENTS\n');
 for i=1:L+1,
    fprintf(' B(%1g) = %10.3f\n',i-1,b(i))
 end
% Predict x and plot the result.
 x=sin(2*pi*[0:N-1]/10);  
 y=cos(2*pi*([0:N-1]-ones(1,N))/10);   
 [y,px,py]=spfilt(b,1,x,px,py);
 end
 plot([0:50],y,'w-');...
   hold on; plot([0:50],y,'w*'); grid;...
   title('Figure 11.11');...
   xlabel('Sample Number');...
   ylabel('Amplitude');
