% SPA1202: SPNLMS line enhancement & spectrum.
mu=0.01; sigma=1; alpha=0.01; L=20; N=501;
b=zeros(1,L+1); px=0;
d=sqrt(2)*sin(2*pi*[0:N-1]/20) + sqrt(12)*(rand(1,N)-0.5);
x=[0,d(1:N-1)];
[y,b,px]=spnlms(x,d,b,mu,sigma,alpha,px);
figure(1); plot([0:500],y,'w'); grid;...
   title('Figure 12.7(a): Output sequence y(k); mu=0.01');...
   xlabel('Time');...
   ylabel('Amplitude');
gain=abs(spgain(b,1,(0:300)*0.5/300));
figure(2); plot([0:300]*0.5/300,gain,'w'); grid;...
   title('Figure 12.7(b):  Final gain of adaptive filter');
   xlabel('Frequency (Hz-s)');...
   ylabel('Amplitude gain');
