% SPA1302:  Demonstrate the use of straight line fit routine.
rand('seed',123);
N=51; a=0.05; b=0.25;
x=[0:N-1];
y=a*x+b+0.25*(rand(1,N)-0.5);
[a_hat,b_hat]=splfit(x,y);
y_hat=a_hat*[0:N-1]+b_hat;
fprintf(' EQUATION:  Y = %5.3fX + %5.3f\n',a_hat,b_hat)
plot([0:N-1],y,'*w',[0:N-1],y_hat,'w'); grid;...
   title('Figure 13.1');...
   xlabel('Sample Number');...
   ylabel('Amplitude');
