% SPA1303: Demonstrate the use of SPEXPN.
rand('seed',123);
N=51; a=2; b=0.95;
x=[0:N-1];
y=a*b .^ x + 0.2*(rand(1,N)-0.5);
[a_hat,b_hat]=spexpn(x,y);
y_hat=a_hat*b_hat.^([0:300]*50/300);
fprintf('EQUATION:  y = (%4.2f)(%5.3f^x)\n',a_hat,b_hat)
clg
plot([0:N-1],y,'*w'); grid on;...
   hold on;...
   plot([0:300]*50/300,y_hat,'w');...
   title('Figure 13.2');...
   xlabel('Sample Number');...
   ylabel('Amplitude')
