% SPA1304: Demonstrate the use of function SPPWRC.
rand('seed',123);
N=51; a=0.5; b=0.5;
x=[1:N];
y=a*x .^ b + 0.25*(rand(1,N)-0.5);
[a_hat,b_hat]=sppwrc(x,y);
y_hat=a_hat*((1+[0:300]*50/300).^b_hat);
fprintf('EQUATION:  y = %4.2f*(x^%4.2f)\n',a_hat,b_hat)
clg
plot([1:N],y,'*w'); grid on;...
   hold on;...
   plot(1+[0:300]*50/300,y_hat,'w');...
   title('Figure 13.3');...
   xlabel('Sample Number');...
   ylabel('Amplitude');
